Texa Desk Application API · Messages
Get messages
GET/
List all messages of a conversation
Authorization
api_access_tokenheaderrequiredA person's access token (Texa Desk, Profile settings → Access token) or an agent bot's token, in the api_access_token header. It acts as that person, with their role's permissions.
Path parameters
account_idintegerrequiredThe numeric ID of the account
conversation_idintegerrequiredThe numeric ID of the conversation
Query parameters
afterintegerFetch messages after the message with this ID. Returns up to 100 messages in ascending order.
beforeintegerFetch messages before the message with this ID. Returns up to 20 messages in ascending order.
Responses
200Success
metaobjectmeta.labelsarray of stringmeta.additional_attributesobjectmeta.contactobjectmeta.contact.payloadarray of objectmeta.assigneeobjectmeta.assignee.idintegermeta.assignee.account_idintegermeta.assignee.availability_statusstringThe effective availability status of the agent, derived from the configured availability, auto-offline setting, and current presence. To update an agent's configured availability, use the availability field in create or update requests. One of: online, busy, offline.
meta.assignee.auto_offlinebooleanWhether the agent is automatically marked offline when they are away.
meta.assignee.confirmedbooleanWhether the agent has confirmed their email address.
meta.assignee.emailstringThe email of the agent
meta.assignee.available_namestringThe available name of the agent
meta.assignee.namestringThe name of the agent
meta.assignee.rolestringThe role of the agent One of: agent, administrator.
meta.assignee.thumbnailstringThe thumbnail of the agent
meta.assignee.custom_role_idintegerThe custom role id of the agent
meta.agent_last_seen_atstring (date-time)meta.assignee_last_seen_atstring (date-time)payloadarray of objectArray of messages
payload[].idnumberThe ID of the message
payload[].contentstringThe text content of the message
payload[].account_idnumberThe ID of the account
payload[].inbox_idnumberThe ID of the inbox
payload[].conversation_idnumberThe ID of the conversation
payload[].message_typeintegerThe type of the message One of: 0, 1, 2, 3.
payload[].created_atintegerThe time at which message was created
payload[].updated_atinteger or stringThe time at which message was updated
payload[].privatebooleanThe flags which shows whether the message is private or not
payload[].statusstringThe status of the message One of: sent, delivered, read, failed.
payload[].source_idstringThe source ID of the message
payload[].content_typestringThe type of the template message One of: text, input_text, input_textarea, input_email, input_select, cards, form, article, incoming_email, input_csat, integrations, sticker, voice_call.
payload[].content_attributesobjectThe content attributes for each content_type
payload[].sender_typestringThe type of the sender One of: Contact, User, AgentBot.
payload[].sender_idnumberThe ID of the sender
payload[].external_source_idsobjectThe external source IDs of the message
payload[].additional_attributesobjectThe additional attributes of the message
payload[].processed_message_contentstringThe processed message content
payload[].sentimentobjectThe sentiment of the message
payload[].conversationobjectThe conversation object
payload[].attachmentobjectThe file object attached to the image
payload[].senderobjectUser/Agent/AgentBot object
404Conversation not found
descriptionstringerrorsarray of objecterrors[].fieldstringerrors[].messagestringerrors[].codestring401Unauthorized
descriptionstringerrorsarray of objecterrors[].fieldstringerrors[].messagestringerrors[].codestring